Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.autonomy.aci.constants
Class IDOLEncodings

    java.lang.Object
      com.autonomy.aci.constants.IDOLEncodings

public class IDOLEncodings
extends java.lang.Object

The character encodings supported by IDOL. The encoding names do not follow the conventions documented in RFC 2278: IANA Charset Registration Procedures and should only be used when specifying character encodings parameters in IDOL actions. For example, this is fine:

    		AciAction queryAction = new Action("Query");
    		queryAction.setParameter(new ActionParameter("OutputEncoding", IDOLEncoding.UTF8));

but this will throw an `UnsupportedEncodingException`:

    		AciConnection idolConnection = new AciConnection();
    		idolConnection.setCharacterEncoding(IDOLEncoding.UTF8);

as `IDOLEncoding.UTF8` is defined as "UTF8", not "UTF-8".

Field Summary
`static java.lang.String` | `ARABIC`
`static java.lang.String` | `ARABIC_ISO`
`static java.lang.String` | `ASCII`
`static java.lang.String` | `AZERI`
`static java.lang.String` | `CHINESESIMPLIFIED`
`static java.lang.String` | `CHINESETRADITIONAL`
`static java.lang.String` | `CYRILLIC`
`static java.lang.String` | `CYRILLIC_ISO`
`static java.lang.String` | `CYRILLIC_KO18`
`static java.lang.String` | `EASTERNEUROPEAN`
`static java.lang.String` | `EASTERNEUROPEAN_ISO`
`static java.lang.String` | `EUC`
`static java.lang.String` | `GREEK`
`static java.lang.String` | `GREEK_ISO`
`static java.lang.String` | `HEBREW`
`static java.lang.String` | `HEBREW_ISO`
`static java.lang.String` | `JIS`
`static java.lang.String` | `KOREAN`
`static java.lang.String` | `NORTHERNEUROPEAN`
`static java.lang.String` | `NORTHERNEUROPEAN_ISO`
`static java.lang.String` | `SHIFTJIS`
`static java.lang.String` | `THAI`
`static java.lang.String` | `TURKISH`
`static java.lang.String` | `UCS2`
`static java.lang.String` | `UTF8`
`static java.lang.String` | `VIETNAMESE`
`static java.lang.String` | `VIETNAMESE_VISCII`

Method Summary
`static java.lang.String[]` | `getEncodingArray()` Gives the possible IDOL encodings as a `String` array.
`static java.util.ArrayList` | `getEncodingList()` Gives the possible IDOL encodings as an `ArrayList`.
`static boolean` | `isSupportedEncoding(java.lang.String sEncoding)` Determines if a given encoding is supported by IDOL.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ARABIC

    public static final java.lang.String ARABIC

See Also:
  Constant Field Values

### ARABIC_ISO

    public static final java.lang.String ARABIC_ISO

See Also:
  Constant Field Values

### ASCII

    public static final java.lang.String ASCII

See Also:
  Constant Field Values

### AZERI

    public static final java.lang.String AZERI

See Also:
  Constant Field Values

### CHINESESIMPLIFIED

    public static final java.lang.String CHINESESIMPLIFIED

See Also:
  Constant Field Values

### CHINESETRADITIONAL

    public static final java.lang.String CHINESETRADITIONAL

See Also:
  Constant Field Values

### CYRILLIC

    public static final java.lang.String CYRILLIC

See Also:
  Constant Field Values

### CYRILLIC_ISO

    public static final java.lang.String CYRILLIC_ISO

See Also:
  Constant Field Values

### CYRILLIC_KO18

    public static final java.lang.String CYRILLIC_KO18

See Also:
  Constant Field Values

### EASTERNEUROPEAN

    public static final java.lang.String EASTERNEUROPEAN

See Also:
  Constant Field Values

### EASTERNEUROPEAN_ISO

    public static final java.lang.String EASTERNEUROPEAN_ISO

See Also:
  Constant Field Values

### EUC

    public static final java.lang.String EUC

See Also:
  Constant Field Values

### GREEK

    public static final java.lang.String GREEK

See Also:
  Constant Field Values

### GREEK_ISO

    public static final java.lang.String GREEK_ISO

See Also:
  Constant Field Values

### HEBREW

    public static final java.lang.String HEBREW

See Also:
  Constant Field Values

### HEBREW_ISO

    public static final java.lang.String HEBREW_ISO

See Also:
  Constant Field Values

### JIS

    public static final java.lang.String JIS

See Also:
  Constant Field Values

### KOREAN

    public static final java.lang.String KOREAN

See Also:
  Constant Field Values

### NORTHERNEUROPEAN

    public static final java.lang.String NORTHERNEUROPEAN

See Also:
  Constant Field Values

### NORTHERNEUROPEAN_ISO

    public static final java.lang.String NORTHERNEUROPEAN_ISO

See Also:
  Constant Field Values

### SHIFTJIS

    public static final java.lang.String SHIFTJIS

See Also:
  Constant Field Values

### THAI

    public static final java.lang.String THAI

See Also:
  Constant Field Values

### TURKISH

    public static final java.lang.String TURKISH

See Also:
  Constant Field Values

### UCS2

    public static final java.lang.String UCS2

See Also:
  Constant Field Values

### UTF8

    public static final java.lang.String UTF8

See Also:
  Constant Field Values

### VIETNAMESE

    public static final java.lang.String VIETNAMESE

See Also:
  Constant Field Values

### VIETNAMESE_VISCII

    public static final java.lang.String VIETNAMESE_VISCII

See Also:
  Constant Field Values

Method Detail

### getEncodingList

    public static java.util.ArrayList getEncodingList()

  Gives the possible IDOL encodings as an `ArrayList`.

  Returns:
    the possible IDOL encodings.

### getEncodingArray

    public static java.lang.String[] getEncodingArray()

  Gives the possible IDOL encodings as a `String` array.

  Returns:
    the possible IDOL encodings.

### isSupportedEncoding

    public static boolean isSupportedEncoding(java.lang.String sEncoding)

  Determines if a given encoding is supported by IDOL.

  Parameters:
    `sEncoding` - the encoding to check.
  Returns:
    true if the encoding is supported by IDOL, false otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD